from typing import Optional

import numpy

class DXCamera:
    def __init__(self, *args, **kwargs) -> None: ...
    def get_latest_frame(self) -> numpy.ndarray[numpy.uint8]: ...
    def grab(self, region: Optional[tuple] = ...) -> Optional[numpy.ndarray[numpy.uint8]]: ...
    def release(self) -> None: ...
    def start(self, region: Optional[tuple] = ..., target_fps: int = ..., video_mode: bool = ..., delay: int = ...) -> None: ...
    def stop(self) -> None: ...
    @property
    def channel_size(self) -> int: ...
    @property
    def height(self) -> int: ...
    @property
    def is_capturing(self) -> bool: ...
    @property
    def max_buffer_len(self) -> int: ...
    @property
    def region(self) -> tuple: ...
    @property
    def rotation_angle(self) -> int: ...
    @property
    def width(self) -> int: ...

def create(device_idx: int = ..., output_idx: Optional[int] = ..., region: Optional[tuple] = ..., output_color: str = ..., max_buffer_len: int = ...) -> DXCamera: ...
def device_info() -> str: ...
def output_info() -> str: ...
